import type { ApplicationService } from '@adonisjs/core/types';
import { AKEmailService } from './email_service.js';
declare module '@adonisjs/core/types' {
    interface ContainerBindings {
        'akago.email.service': AKEmailService;
    }
}
export default class AKEmailProvider {
    protected app: ApplicationService;
    constructor(app: ApplicationService);
    register(): void;
}
